### Hierarchy

- TextTrackCue
  - DataCue

## Index

### Properties

- TextTrackCue
- data
- endTime
- id
- onenter
- onexit
- pauseOnExit
- startTime
- text
- track

### Methods

- addEventListener
- dispatchEvent
- getCueAsHTML
- removeEventListener

## Properties

### TextTrackCue

TextTrackCue: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14901

#### Type declaration

- ##### constructor: function

  - new __type(startTime: number, endTime: number, text: string): TextTrackCue
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14902

    #### Parameters

    - ##### startTime: number

    - ##### endTime: number

    - ##### text: string

    #### Returns TextTrackCue

- ##### prototype: TextTrackCue

### data

data: ArrayBuffer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3820

### endTime

endTime: number

Inherited from TextTrackCue.endTime

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14886

### id

id: string

Inherited from TextTrackCue.id

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14887

### onenter

onenter: function | null

Inherited from TextTrackCue.onenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14888

### onexit

onexit: function | null

Inherited from TextTrackCue.onexit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14889

### pauseOnExit

pauseOnExit: boolean

Inherited from TextTrackCue.pauseOnExit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14890

### startTime

startTime: number

Inherited from TextTrackCue.startTime

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14891

### text

text: string

Inherited from TextTrackCue.text

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14892

### track

track: TextTrack

Inherited from TextTrackCue.track

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14893

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides TextTrackCue.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3821

  #### Type parameters

  - #### K: keyof TextTrackCueEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: DataCue, ev: TextTrackCueEventMap[K]): any

      - #### Parameters

        - ##### this: DataCue

        - ##### ev: TextTrackCueEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides TextTrackCue.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3822

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getCueAsHTML

- getCueAsHTML(): DocumentFragment

- Inherited from TextTrackCue.getCueAsHTML

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14894

  #### Returns DocumentFragment

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides TextTrackCue.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3823

  #### Type parameters

  - #### K: keyof TextTrackCueEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: DataCue, ev: TextTrackCueEventMap[K]): any

      - #### Parameters

        - ##### this: DataCue

        - ##### ev: TextTrackCueEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides TextTrackCue.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3824

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc